#include <string>
#include <map>
#include <set>

#include "relations.h"
#include "linecount.h"

struct graphparam {
    // Filled by get_params()
    int treshold;
    int min;
    int max;

    // Filled from command line
    bool context;
    double tresholdfactor;
    double length;
    int nickcount;
    std::string file;
    std::string title;
    std::set<std::string> words; // If empty, do person-person relations
};

std::string get_color(int strength, struct graphparam pars);
void get_params(struct graphparam &pars, const std::map<struct relation, int> &relations);
void writerel(std::ostream &dest, struct relation rel, int strength, const std::set<struct person> &usenicks, const struct graphparam &pars);
void writegraph(std::ostream &dest, const std::map<struct relation, int> &relations, const std::set<struct person> &usenicks, struct graphparam pars);
std::string realnick(std::string nick, const std::set<struct person> &usenicks);
