#ifndef _RELATIONS_H_
#define _RELATIONS_H_

#include <fstream>
#include <map>
#include <set>
#include "linecount.h"

struct relation {
    std::string referrer;
    std::string referred;  
    bool operator<(const struct relation&) const;  
};

void get_simple_relations(std::map<struct relation, int> &relations, const std::set<struct person> &usenicks, const std::vector<struct logline> &lines, const struct graphparam &pars);

void get_relations(std::map<struct relation, int> &relations, const std::set<struct person> &usenicks, const std::vector<struct logline> &lines, const struct graphparam &pars);

#endif
